<?php
    
    session_start();
    require('../../conexion.php');
    if ($_POST['id_nota'] > 0) {
        $id_nota = $_POST['id_nota'];
    }else{
        $id_nota =$_SESSION['cveNota'];
    }
    $i=0;
    $result = query("SELECT pdn.id, pdn.id_nota_venta, pdn.id_producto, pdn.pdn_cantidad, 
                    ifnull(pdn.pdn_comensal,'') pdn_comensal, pdn.pdn_tiempo, pdn.pdn_precio, pdn.pdn_estatus, 
                    pdn.pdn_comentario, pd.pro_clave, pd.pro_nombre,
                    pd.pro_clasificaciones, pd.pro_precio_venta, (pd.pro_precio_venta * pdn.pdn_cantidad) total, pdn_estatus
                    FROM productos_nota AS pdn
                    INNER JOIN productos AS pd ON pd.id = pdn.id_producto 
                    WHERE pdn.id_nota_venta = $id_nota AND pdn.pdn_estatus NOT IN ('cancelado', 'eliminado') ; ");
    
    while($row = mysqli_fetch_assoc($result)){
        $rowdata[$i] = $row;
        $i++;
    }

    if ($i>0){
        $res =  json_encode($rowdata,JSON_UNESCAPED_UNICODE);
    } else {
        $res =  '[{"id":"0"}]';	
    }
    echo $res;
?>